KJS::Collector Class Reference

`#include <collector.h>`

## Static Public Member Functions

static void * | allocate (size_t s)
static bool | collect ()
static int | size ()
static bool | outOfMemory ()

## Detailed Description

Garbage collector.

Definition at line 38 of file collector.h.

## Member Function Documentation

void * KJS::Collector::allocate | ( | size_t | s | ) |

static

Register an object with the collector.

The following assumptions are made:

- the operator new() of the object class is overloaded.
- operator delete() has been overloaded as well and does not free the memory on its own.

Parameters

  s | Size of the memory to be registered.

Returns
  A pointer to the allocated memory.

Definition at line 78 of file collector.cpp.

bool KJS::Collector::collect | ( |  | ) |

static

Run the garbage collection.

This involves calling the delete operator on each object and freeing the used memory.

Definition at line 153 of file collector.cpp.

The documentation for this class was generated from the following files:

- collector.h
- collector.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys